%global momorel 1

Name:           perl-Test-WWW-Mechanize
Version:        1.14
Release: %{momorel}m%{?dist}
Summary:        Test::WWW::Mechanize Perl module
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-WWW-Mechanize/
Source0:        http://www.cpan.org/authors/id/P/PE/PETDANCE/Test-WWW-Mechanize-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl-Carp-Assert-More
BuildRequires:  perl-HTTP-Server-Simple >= 0.07
BuildRequires:  perl-Test-LongString >= 0.07
BuildRequires:  perl-URI
BuildRequires:  perl-WWW-Mechanize >= 1.00
Requires:       perl-Carp-Assert-More
Requires:       perl-HTTP-Server-Simple >= 0.07
Requires:       perl-Test-LongString >= 0.07
Requires:       perl-URI
Requires:       perl-WWW-Mechanize >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The README is used to introduce the module and provide instructions on how
to install the module, any machine dependencies it may have (for example C
compilers and installed libraries) and any other information that should be
provided before the module is installed.

%prep
%setup -q -n Test-WWW-Mechanize-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/WWW/*
%{_mandir}/man3/*

%changelog
* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-1m)
- update to 1.13

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12-2m)
- use vendor

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
